<?php
namespace Pinpoint\TestimonialManager\Model;
/**
 * Class TestimonialArea
 * @package Pinpoint\TestimonialManager\Model
 */
class TestimonialArea extends \Magento\Framework\Model\AbstractModel implements \Pinpoint\TestimonialManager\Api\Data\TestimonialAreaInterface, \Magento\Framework\DataObject\IdentityInterface
{
    /**
     * @var string
     */
    const CACHE_TAG = 'pinpoint_testimonialmanager_testimonialarea';

    /**
     * @var int
     */
    const STATUS_ENABLED = 1;

    protected function _construct()
    {
        $this->_init('Pinpoint\TestimonialManager\Model\ResourceModel\TestimonialArea');
    }

    /**
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}
