<?php
namespace Pinpoint\TestimonialManager\Api;

use Pinpoint\TestimonialManager\Api\Data\TestimonialInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;

/**
 * Interface TestimonialRepositoryInterface
 * @package Pinpoint\TestimonialManager\Api
 */
interface TestimonialRepositoryInterface
{
    /**
     * @param TestimonialInterface $page
     * @return mixed
     */
    public function save(TestimonialInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function getById($id);

    /**
     * @param SearchCriteriaInterface $criteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $criteria);

    /**
     * @param TestimonialInterface $page
     * @return mixed
     */
    public function delete(TestimonialInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function deleteById($id);
}
